Subject: Re: bug#77961: 31.0.50; Rendering HTML email is very slow since commit #eab14d68b2e72b9a6b8b0cc67c9667c2bfbed4f5

From: Gerd Möllmann <[email-masked]>
Date: Tue, 22 Apr 2025 07:24:53 +0200

Gerd Möllmann <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> Iñigo Serna <[email-masked]> writes:
>>
>>> I attach a profiler output, and a HTML file which causes a similar
>>> slowdown when opening from eww.

I'm afraid I don't see much in the profile. Only thing is that that
redisplay_internal isn't called often. Which makes it even weirder that
glyph matrix enlargement should play a role.

Do we have someone available who knows how shr.el works internally, Eli?